use_bpm 270



##################################
#https://www.alphornexperience.ch/
##################################



live_loop :siebner do
  cut = 90
  3.times do
    sample :bd_haus, cutoff: cut
    sleep 3
    sample :bd_haus, cutoff: cut
    sleep 2
    sample :bd_haus, cutoff: cut
    sleep 2
  end
  
  sample :bd_haus, cutoff: cut
  sleep 3
  sample :bd_haus, cutoff: cut
  sleep 1.52
  sample :bd_haus, cutoff: cut, amp: 0.7
  sleep 0.48
  sample :bd_haus, cutoff: cut
  sleep 2
  
  
  
  
  
  
end

live_loop :clock do
  #sample :drum_cymbal_closed, amp: 0.2
  sleep 1
end

rh = (ring 0,1,1,0,1,0,1,
      0,1,1,0,1,0,1,
      1,0,0,0,0,0,1,
      1,0,0,1,1,0,0)
live_loop :test do
  use_synth :beep
  with_fx :reverb, mix: 0.9 do
    play (chord :Gb3, '6*9', num_octaves: 2).choose, release: 0.2, amp: rh.tick * 0.5
    sleep 1
  end
end

live_loop :drums do
  cut = 100
  with_fx :reverb, mix: 0.6  do
    3.times do
      sample :loop_amen, beat_stretch: 8, finish: 0.3333333333333, amp: 0.8, cutoff: cut
      sleep 3
      sample :loop_amen, beat_stretch: 8, start: 0.5, finish: 1, amp: 0.8, cutoff: cut
      sleep 4
    end
    7.times do
      sample :loop_amen, beat_stretch: 8, slice: choose, num_slices: 8, amp: 0.8, cutoff: cut
      sleep 1
    end
  end
end

grundton = (ring :Gb3, :Db4, :C4, :B3)
modus = (ring :major, :minor, :diminished, :major7)

live_loop :chords do
  use_synth :dpulse
  with_fx :reverb, mix: 0.8, room: 0.8 do
    with_fx :echo, phase: 1.333, mix: 1 do
      
      play (chord grundton.tick(:grundton), modus.tick(:modus)), release: 24, attack: 5, amp: 0.7, cutoff: 60
      sleep 28
    end
  end
end

live_loop :pedal do
  use_synth :prophet
  with_fx :reverb do
    
    play (chord :Gb1, '1'), release: 12, attack: 7, amp: 0.7, cutoff: 60
    sleep 7
    
  end
end


